
Redmine - Defect #3209

Insert image macro corrupts urls with excalamation marks

2009-04-21 07:47 - Mr Ezz

Status: Closed Start date: 2009-04-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version:  

Description

When entering a url in redmine that has two exclamation marks the insert image macro kicks in and affects the url.

Here is a live example:

http://bphelpsdev.spaces.live.com/blog/cns!602815048C7B5C20!302.entry

Which should be:

http://bphelpsdev.spaces.live.com/blog/cns!602815048C7B5C20!302.entry

 My set up is as follows:

Installed with Bitnami Stack http://bitnami.org/stack/redmine

Redmine: 0.8.2-0

MySQL: 5.0.51b-community-log

Ruby: 1.8.7 (i386-mswin32)

Rails: 2.1.2

RubyGems: 1.2.0

Active Record: 2.1.2

Action Pack: 2.1.2

Active Resource: 2.1.2

Action Mailer: 2.1.2

Action Mailer: 2.1.2

Associated revisions

Revision 2677 - 2009-04-21 14:49 - Jean-Philippe Lang

Less aggressive textile image tag parsing (#3209).

History

#1 - 2009-04-21 14:42 - Jean-Philippe Lang

- Category changed from UI to Text formatting

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

Fixed in r2677.

#2 - 2009-04-24 18:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2681.
